import Felgo 3.0
import QtQuick 2.5
import QtQuick.Controls 2.0 as Quick2

Quick2.ComboBox {
    id: comboBox
    implicitWidth: dp(90) + 20
    implicitHeight: dp(24) + topPadding + bottomPadding
    padding: dp(12)
    editable: true
    onCurrentIndexChanged: {
//        console.debug("CustomComboBox.currentIndex=" + comboBoxDbQueries.currentIndex)
//        console.debug("listModel.count=" + listModel.count)
//        console.debug("listModel.rowCount=" + listModel.rowCount())
//        console.debug("listModel.columnCount=" + listModel.columnCount())
//        console.debug("listModel.columnCount=" + listModel.get(comboBoxDbQueries.currentIndex).Name)
        // How can I do this: .attributes.get(0).value
        // Instead of hard coding the column name ie Name
        // console.debug("listModel.columnCount=" + listModel.get(comboBoxDbQueries.currentIndex).attributes.get(0).value)
        comboBoxDbQueries.displayText =  listModel.get(comboBoxDbQueries.currentIndex).Name;
    }

    // overwrite style for density independent sizes
    delegate: Quick2.ItemDelegate {
        width: comboBox.implicitWidth
        height: comboBox.implicitHeight
        padding: dp(12)
        contentItem: AppText {
            text: Name
            color: highlighted ? Theme.tintColor : Theme.textColor
            wrapMode: Text.NoWrap
        }
        highlighted: comboBox.highlightedIndex == index
    }

    contentItem: AppText {
        id: textDisplay
        //leftPadding: 4
        // This never gets updated without triggering and update
        text: comboBox.displayText
        width: comboBox.width - comboBox.indicator.width - comboBox.spacing
        wrapMode: Text.NoWrap
    }
}
