function dbInit()
{
    var db = LocalStorage.openDatabaseSync("MyDatabase", "1.0", "MyDatabase", 1000000);
    // Create the database if it doesn't already exist
    try {
        db.transaction(function (tx) {
            tx.executeSql('CREATE TABLE IF NOT EXISTS test ([rowid] INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,Name TEXT,Description TEXT)');
        })
    } catch (err) {
        console.log("Error creating table in database: " + err);
    };
}

function dbGetHandle()
{
    try {
        var db = LocalStorage.openDatabaseSync("MyDatabase", "1.0", "MyDatabase", 1000000)
    } catch (err) {
        console.log("Error opening database: " + err)
    }
    return db
}

function dbInsert(Name,Description)
{
    var db = dbGetHandle()
    var rowid = 0;
    db.transaction(function (tx) {
        tx.executeSql('INSERT INTO test (Name,Description) VALUES(?, ?)',
                      [Name,Description])
        var result = tx.executeSql('SELECT last_insert_rowid()')
        rowid = result.insertId
    })
    return rowid;
}

function dbReadAll()
{
    var db = dbGetHandle()
    db.transaction(function (tx) {
        var results = tx.executeSql(
                    'SELECT rowid,Name,Description FROM test order by rowid desc')
        for (var i = 0; i < results.rows.length; i++) {
            console.debug("id=" + results.rows.item(i).rowid + " Name: " + results.rows.item(i).Name)
            listModel.append({
                                 id: results.rows.item(i).rowid,
                                 Name: results.rows.item(i).Name,
                                 Description: results.rows.item(i).Description
                             })
        } // end for
        console.debug("listModel count=" + listModel.count)
    })
}

function dbUpdate(Name,Description,Prowid)
{
    var db = dbGetHandle()
    db.transaction(function (tx) {
        tx.executeSql(
            'update test set Name=?, Description=? where rowid = ?', [Name, Description, Prowid])
    })
}

function dbDeleteRow(Prowid)
{
    var db = dbGetHandle()
    db.transaction(function (tx) {
        tx.executeSql('delete from test where rowid = ?', [Prowid])
    })
}
